Subject: bug#55672: 29.0.50; Emacs crashes when calling start-process-shell-command xdg-open with process-connection-type set to nil

From: Ihor Radchenko <[email-masked]>
Date: Sun, 24 Jul 2022 13:48:18 +0800

Ihor Radchenko <[email-masked]> writes:

>> That's a BadGlyph error from a RenderAddGlyphs request, which Emacs does
>> not make itself.  What happens if you delete this part of xterm.c?
>
>>  #if defined USE_XCB && defined USE_CAIRO_XCB
>>  #define USE_CAIRO_XCB_SURFACE
>>  #endif
> When I remove these lines, Emacs no longer crashes. However, the behavior
> is still not right. I can still see flickering (frames being created and
> immediately closed). I recorded a screencast demonstrating the issue:
> https://0x0.st/oBHO.mkv

For reference, I am no longer able to reproduce the problem using the
provided recipe. Since the report, I have upgraded my system libraries
and Emacs (to the latest commit on master).

Best,
Ihor